<?php
// Author: Jesse Throwe
// Copyright 2001 Sun Microsystems, Inc. All rights reserved.
// $Id: overflowHandler.php,v 1.6 2001/10/22 20:51:40 jthrowe Exp $


// -------------------------------------
// Includes

include("ServerScriptHelper.php");

// -------------------------------------
// Variables

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$i18n = $serverScriptHelper->getI18n("base-overflow");

// now update cce
if ($enabled) {
        $cceClient->setObject("ActiveMonitor", array("enabled" => 1), "Overflow");
} else {
        $cceClient->setObject("ActiveMonitor", array("enabled" => 0), "Overflow");
}

$settings = array();
$settings["enabled"] = $enabled;

// Use ActiveMonitor's email contact list if possible
$am_obj = $cceClient->getObject('ActiveMonitor', array(), '');
if( ! $am_obj["alertEmailList"] )
        $settings["alertEmail"] = $alertEmail;

$cceClient->setObject("System", $settings, "Overflow");
$errors = $cceClient->errors();

// return to the original page with any errors
print($serverScriptHelper->toHandlerHtml("/base/overflow/overflow.php", $errors, "base-overflow"));

$serverScriptHelper->destructor();
?>
